commit b3f20577e1380bee9066ae3a4072ea5aca3d8f43
Author: Anthony Sharp <anthonysharp15@gmail.com>
Date:   Fri Aug 27 10:02:42 2021 -0400

    call_summary: add missing template keyword
    
    Without the 'template', this function template compares 'traverse' to 'f',
    and then compares the result to 'a'.  Evidently it hasn't been instantiated
    yet.
    
    gcc/ChangeLog:
    
            * symbol-summary.h: Added missing template keyword.
    
    (cherry picked from commit fccd5b48adf568f0aabe5d5f51206a9d42da095a)

diff --git a/gcc/symbol-summary.h b/gcc/symbol-summary.h
index fa1df5c8015..a87dc1df360 100644
--- a/gcc/symbol-summary.h
+++ b/gcc/symbol-summary.h
@@ -142,7 +142,7 @@ public:
   template<typename Arg, bool (*f)(const T &, Arg)>
   void traverse (Arg a) const
   {
-    m_map.traverse <f> (a);
+    m_map.template traverse <f> (a);
   }
 
   /* Getter for summary callgraph node pointer.  If a summary for a node
@@ -634,7 +634,7 @@ public:
   template<typename Arg, bool (*f)(const T &, Arg)>
   void traverse (Arg a) const
   {
-    m_map.traverse <f> (a);
+    m_map.template traverse <f> (a);
   }
 
   /* Getter for summary callgraph edge pointer.

